GET Premier Conferences
https://pd.{shard}.a.pvp.net/premier/v1/affinities/{affinity}/conferences Get all Premier conferences for a given affinity/region, including both regular and super conferences.
Headers
-
X-Riot-ClientPlatform: {client platform} -
X-Riot-ClientVersion: {client version} -
X-Riot-Entitlements-JWT: {entitlement token} -
Authorization: Bearer {auth token}
URL Parameters
Other Variables
-
client platformA string representing the platform of the client. Base-64 encoded JSON with the following fields:
{ "platformType": "PC", "platformOS": "Windows", "platformOSVersion": "10.0.19042.1.256.64bit", "platformChipset": "Unknown" }ew0KCSJwbGF0Zm9ybVR5cGUiOiAiUEMiLA0KCSJwbGF0Zm9ybU9TIjogIldpbmRvd3MiLA0KCSJwbGF0Zm9ybU9TVmVyc2lvbiI6ICIxMC4wLjE5MDQyLjEuMjU2LjY0Yml0IiwNCgkicGxhdGZvcm1DaGlwc2V0IjogIlVua25vd24iDQp9is a value that works. -
client version -
entitlement tokenCan be obtained locally with the Entitlements Token endpoint or remotely using Riot auth and the Entitlement endpoint -
auth tokenCan be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Response
type PremierConferencesResponse = {
PremierConferences: {
/** UUID */
id: string;
/** Conference identifier, e.g. "EU_DACH", "EU_NORTH" */
key: string;
/** Whether this is a super conference */
isSuper: boolean;
/** Game server pod identifiers */
gamePods: string[];
/** IANA timezone, e.g. "Europe/Berlin" */
timezone: string;
/** Parent super conference key (only on non-super conferences) */
superConference?: string | undefined;
leaderboardPlayoffQualificationDateTime: string;
leaderboardPromotionFinalizationDateTime: string;
}[];
}; {
"PremierConferences": [
{
"id": "1bfefF54-523c-b362-6D6D-2f0E3abCDEdb",
"key": "consuasor",
"isSuper": true,
"gamePods": [
"creber",
"adhuc",
"ut",
"summa"
],
"timezone": "sulum",
"superConference": "temeritas",
"leaderboardPlayoffQualificationDateTime": "vox",
"leaderboardPromotionFinalizationDateTime": "consequatur"
},
{
"id": "ea94cAcf-aCa2-5F9b-1B9E-cA3b20E0192B",
"key": "versus",
"isSuper": true,
"gamePods": [
"volubilis",
"demens"
],
"timezone": "iste",
"superConference": "vigilo",
"leaderboardPlayoffQualificationDateTime": "eaque",
"leaderboardPromotionFinalizationDateTime": "doloribus"
},
{
"id": "D8bfDC8D-3aa1-Fc87-D23E-1eb9b3743ec3",
"key": "est",
"isSuper": true,
"gamePods": [
"cometes",
"fugit",
"ultra"
],
"timezone": "decumbo",
"superConference": "clibanus",
"leaderboardPlayoffQualificationDateTime": "pectus",
"leaderboardPromotionFinalizationDateTime": "cupiditas"
},
{
"id": "b15AC78b-ce3e-d139-0EF9-9E10babaCa8B",
"key": "utilis",
"isSuper": true,
"gamePods": [
"ciminatio",
"uberrime",
"vix",
"patria",
"vulticulus"
],
"timezone": "tergeo",
"superConference": "clam",
"leaderboardPlayoffQualificationDateTime": "paulatim",
"leaderboardPromotionFinalizationDateTime": "debitis"
}
]
}